Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class SetOverrideTypeHelper

    java.lang.Object
      org.omg.CORBA.SetOverrideTypeHelper

    public abstract class SetOverrideTypeHelper

extends Object

The Helper for `SetOverrideType`. For more information on Helper files, see "Generated Files: Helper Files".

org/omg/CORBA/SetOverrideTypeHelper.java Generated by the IDL-to-Java compiler (portable), version "3.0" 03 June 1999 11:52:03 o'clock GMT+00:00

Constructor Summary
`SetOverrideTypeHelper()`

Method Summary
`static SetOverrideType` | `extract(Any a)`
`static String` | `id()`
`static void` | `insert(Any a, SetOverrideType that)`
`static SetOverrideType` | `read(InputStream istream)`
`static TypeCode` | `type()`
`static void` | `write(OutputStream ostream, SetOverrideType value)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SetOverrideTypeHelper

    public SetOverrideTypeHelper()

Method Detail

### insert

    public static void insert(Any a,
                              SetOverrideType that)

### extract

    public static SetOverrideType extract(Any a)

### type

    public static TypeCode type()

### id

    public static String id()

### read

    public static SetOverrideType read(InputStream istream)

### write

    public static void write(OutputStream ostream,
                             SetOverrideType value)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.